Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/fbida: new aport

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Mon, 7 Sep 2015 21:46:40 +0200

---
 testing/fbida/APKBUILD | 43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)
 create mode 100644 testing/fbida/APKBUILD
diff --git a/testing/fbida/APKBUILD b/testing/fbida/APKBUILD
new file mode 100644
index 0000000..1e1249f
--- /dev/null
+++ b/testing/fbida/APKBUILD
_at_@ -0,0 +1,43 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+# Maintainer: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
+pkgname=fbida
+pkgver=2.10
+pkgrel=0
+pkgdesc="Few applications to display and elementary edit images"
+url="http://www.kraxel.org/blog/linux/fbida/"
+arch="all"
+license="GPL2"
+depends="ghostscript"
+depends_dev="giflib-dev libexif-dev motif-dev libpng-dev jpeg-dev"
+makedepends="$depends_dev linux-headers"
+install=""
+subpackages="$pkgname-doc"
+source="https://www.kraxel.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+# TODO in the future it might be a good idea to split the
+# tools (fbi, fbgs, ida, exiftran) into multiple subpackages.
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	make verbose=yes \
+		-C "$_builddir" || return 1
+}
+
+package() {
+	make DESTDIR="$pkgdir" prefix=/usr \
+		-C "$_builddir" install || return 1
+}
+
+md5sums="09460b964b58c2e39b665498eca29018  fbida-2.10.tar.gz"
+sha256sums="7a5a3aac61b40a6a2bbf716d270a46e2f8e8d5c97e314e927d41398a4d0b6cb6  fbida-2.10.tar.gz"
+sha512sums="b7371c19d68cc7219faca4bbfa464c85df2eb22c7bd737d4f0a6fb3de481497862ca22832801d29bab57285d5a8d7d0b0009e14426efdce2759d47340f5eca6d  fbida-2.10.tar.gz"
-- 
2.5.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Sep 07 2015 - 21:46:40 GMT